{% extends 'base.html' %}

{% block content %}
    <section id="new-thread" class="container">
        <div class="row justify-content-center">
            <div class="col-10">
                <div class="card-body rounded form-group py-5">
                    <h1 class="card-title text-center mb-5">Create a new discussion</h1>

                    <form method="post" novalidate>
                        {% csrf_token %}

                        {% for th_field in thread_form %}
                            <div class="form-row d-flex justify-content-center mb-4">
                                <div class="form-group col-12 col-md-10">
                                    <label for="{{ th_field.id_for_label }}" class="form-label">
                                        <strong>{{ th_field.label }}</strong>
                                    </label>
                                    {{ th_field }}

                                    {% if th_field.errors %}
                                        <div class="invalid-feedback d-block text-center">
                                            {{ th_field.errors }}
                                        </div>
                                    {% endif %}
                                </div>
                            </div>
                        {% endfor %}

                        {% if post_form %}
                            <div class="form-row d-flex justify-content-center">
                                <div class="form-group col-12 col-md-10">
                                    <label for="{{ post_form.message.id_for_label }}" class="form-label">
                                        <strong>{{ post_form.message.label }}</strong>
                                    </label>
                                    {{ post_form.message }}

                                    {% if post_form.message.errors %}
                                        <div class="invalid-feedback d-block text-center">
                                            {{ post_form.message.errors }}
                                        </div>
                                    {% endif %}
                                </div>
                            </div>
                        {% endif %}

                        <div class="d-flex mt-5 mx-5">
                            <button type="button" class="btn btn-primary text-editor-btn me-2">TEXT EDITOR</button>
                            <input type="submit" name="create" class="btn btn-primary px-3 me-auto" value="CREATE">
                            <a href="{% url 'forum' %}" class="btn btn-primary px-3">CANCEL</a>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </section>

{% endblock %}